List Volunteers for an Opportunity
curl --request GET \
--url https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/VolunteerOpportunity/{volunteerOpportunityId}/Volunteers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"volunteerUrl": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"totalHours": "<double>",
"timesVolunteered": "<integer>",
"volunteerAttendanceUrl": "<string>",
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityUrl": "<string>"
},
{
"id": "<integer>",
"volunteerUrl": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>",
"totalHours": "<double>",
"timesVolunteered": "<integer>",
"volunteerAttendanceUrl": "<string>",
"volunteerOpportunityId": "<integer>",
"volunteerOpportunityUrl": "<string>"
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Volunteer
List Volunteers for an Opportunity
GET
/
api
/
VolunteerOpportunity
/
{volunteerOpportunityId}
/
Volunteers
List Volunteers for an Opportunity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The volunteer opportunity identifier.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Last modified on July 24, 2026
Was this page helpful?
⌘I